using System;
using NinjaTrader.Gui.AccountData;

namespace Replikanto
{
	internal class InternetNode : AccountGridEntry, IEquatable<InternetNode>
	{
		public NodeStatus Status
		{
			get
			{
				return this.nodeStatus_0;
			}
			set
			{
				this.nodeStatus_0 = value;
				Delegate216.smethod_0(this, "Status", Delegate216.delegate216_0);
			}
		}

		public string ReplikantoId
		{
			get
			{
				return this.string_0;
			}
			set
			{
				this.string_0 = Delegate237.smethod_0(value, Delegate237.delegate237_0);
				Delegate216.smethod_0(this, "ReplikantoId", Delegate216.delegate216_0);
			}
		}

		public string Description
		{
			get
			{
				return this.string_1;
			}
			set
			{
				this.string_1 = value;
				Delegate216.smethod_0(this, "Description", Delegate216.delegate216_0);
			}
		}

		public override string ToString()
		{
			return this.string_0 ?? "";
		}

		public bool Equals(InternetNode other)
		{
			return Delegate102.smethod_0(other.ReplikantoId, this.string_0, Delegate102.delegate102_0);
		}

		internal static object smethod_0(int int_0)
		{
			return Class10.smethod_17(int_0);
		}

		internal static object smethod_1(object object_0)
		{
			return object_0.ReplikantoId;
		}

		internal static void smethod_2()
		{
		}

		internal static void smethod_3()
		{
		}

		internal static void smethod_4()
		{
		}

		private NodeStatus nodeStatus_0;

		private string string_0;

		private string string_1 = string.Empty;

		internal static InternetNode ECHO = new InternetNode
		{
			string_0 = "@REP-TEST-ECHO"
		};
	}
}
